com.aliyun.svideosdk.mixrecorder

## Class AliyunMixStream

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixStream

-     public class AliyunMixStream
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AliyunMixStream.Builder` `AliyunMixStream` 构造器

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VideoDisplayMode` | `getDisplayMode()` 获取流的显示模式
    `java.lang.String` | `getFilePath()` 获取流文件路径
    `long` | `getStreamEndTimeMills()` 获取流结束时间戳，单位：毫秒
    `int` | `getStreamId()` 获取流ID
    `long` | `getStreamStartTimeMills()` 获取流开始时间戳，单位：毫秒
    `AliyunMixTrack` | `getTrack()` 获取流所属的轨道
    `void` | `setStreamId(int streamId)` 设置流ID
    `void` | `setTrack(AliyunMixTrack track)` 设置流所属的轨道

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setTrack

          public void setTrack(AliyunMixTrack track)

      设置流所属的轨道
      Parameters:
        `track` - 流所属的轨道

    - #### setStreamId

          public void setStreamId(int streamId)

      设置流ID
      Parameters:
        `streamId` - 流ID

    - #### getTrack

          public AliyunMixTrack getTrack()

      获取流所属的轨道
      Returns:
        流所属的轨道

    - #### getStreamId

          public int getStreamId()

      获取流ID
      Returns:
        流ID

    - #### getFilePath

          public java.lang.String getFilePath()

      获取流文件路径
      Returns:
        流文件路径

    - #### getStreamStartTimeMills

          public long getStreamStartTimeMills()

      获取流开始时间戳，单位：毫秒
      Returns:
        流开始时间戳

    - #### getStreamEndTimeMills

          public long getStreamEndTimeMills()

      获取流结束时间戳，单位：毫秒
      Returns:
        流结束时间戳

    - #### getDisplayMode

          public VideoDisplayMode getDisplayMode()

      获取流的显示模式
      Returns:
        displayMode 显示模式 `mDisplayMode`